//
//  PauseMenu.h
//  GlobalGameJam15
//
//  Created by Cesar Parent on 23/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __GlobalGameJam15__PauseMenu__
#define __GlobalGameJam15__PauseMenu__

#include <PixelKit/PixelKit.h>

using namespace PixelKit;

class DungeonGame;

class PauseMenu : public Layer, ControlDelegate
{
public:
	PauseMenu(Game& game);
	virtual ~PauseMenu();
	
#pragma mark delegates
	
	virtual void didBecomeChild();
	
	virtual void controllerDidConnect(int controllerID){};
	virtual void controllerDidDisconnect(int controllerID){};
	virtual void controllerButtonPressBegan(int controller, SDL_GameControllerButton button);
	virtual void controllerButtonPressEnded(int controller, SDL_GameControllerButton button){};
	virtual void controllerAxisMoved(int controller, SDL_GameControllerAxis, Sint16 value){};
	virtual void keyboardPressBegan(SDL_Scancode key);
	virtual void keyboardPressEnded(SDL_Scancode key){};
	
protected:
	
	SpriteNode* _background;
	LabelNode* _title;
	LabelNode* _message;
};

#endif /* defined(__GlobalGameJam15__PauseMenu__) */
